# PrewarmManager

*** ** * ** ***


```
public interface PrewarmManager
```

<br />

*** ** * ** ***

Provides API to keep Play Store process alive in anticipation of impending user visit. For more information on how this SDK drives conversions, see [Inline Installs](https://developer.android.com/distribute/marketing-tools/inline-installs) and the [Inline Installs SDK](https://developer.android.com/distribute/marketing-tools/inline-installs-sdk).

## Summary

| ### Public methods |
|---|---|
| `abstract void` | `https://developer.android.com/reference/com/google/android/play/core/prewarminlineinstalls/service/PrewarmManager#detach()()` Signals to the Play Store app that the caller no longer needs the process to be kept alive. |
| `abstract void` | `https://developer.android.com/reference/com/google/android/play/core/prewarminlineinstalls/service/PrewarmManager#prewarmAndPrefetchInlineInstalls(com.google.android.play.core.prewarminlineinstalls.service.PrefetchRequest)(https://developer.android.com/reference/com/google/android/play/core/prewarminlineinstalls/service/PrefetchRequest prefetchRequest)` Brings up the Play Store process and prefetches inline installs requests. |
| `abstract void` | `https://developer.android.com/reference/com/google/android/play/core/prewarminlineinstalls/service/PrewarmManager#prewarmInlineInstalls()()` Brings up the Play Store process. |

## Public methods

### detach

```
abstract void detach()
```

Signals to the Play Store app that the caller no longer needs the process to be kept alive.

### prewarmAndPrefetchInlineInstalls

```
abstract void prewarmAndPrefetchInlineInstalls(PrefetchRequest prefetchRequest)
```

Brings up the Play Store process and prefetches inline installs requests.

This is a hinting API. The method will process the request with best effort without making any guarantees. Meaning that the method may not bring up the Play Store process.

The prefetchRequest parameter is used to allow clients to send prefetch requests so that an anticipated user visit incurs lower latency.

Multiple calls to this method are allowed, even after `https://developer.android.com/reference/com/google/android/play/core/prewarminlineinstalls/service/PrewarmManager#detach()` is called.

### prewarmInlineInstalls

```
abstract void prewarmInlineInstalls()
```

Brings up the Play Store process.

This is a hinting API. The method will process the request with best effort without making any guarantees. Meaning that the method may not bring up the Play Store process.